# studio::AutoRecover Class Reference

`#include <autorecover.h>`

List of all members.

## Public Member Functions

| AutoRecover ()
| ~AutoRecover ()
void | set_timeout (int milliseconds)
int | get_timeout () const
bool | recovery_needed () const
bool | recover (int &number_recovered)
void | normal_shutdown ()
void | clear_backup (synfig::Canvas::Handle canvas)

## Static Public Member Functions

static int | pid ()
static synfig::String | get_shadow_file_name (const synfig::String &filename)
static bool | auto_backup ()
static bool | cleanup_pid (int pid)
static synfig::String | get_shadow_directory ()

## Constructor & Destructor Documentation

AutoRecover::AutoRecover | ( |  | ) |

References get_shadow_directory(), and set_timeout().

AutoRecover::~AutoRecover | ( |  | ) |

## Member Function Documentation

int AutoRecover::pid | ( |  | ) | `[static]`

Referenced by auto_backup().

synfig::String AutoRecover::get_shadow_file_name | ( | const synfig::String & | filename | ) | `[static]`

References get_shadow_directory().

Referenced by auto_backup(), clear_backup(), and recover().

bool AutoRecover::auto_backup | ( |  | ) | `[static]`

References cleanup_pid(), studio::App::get_config_file(), get_shadow_file_name(), studio::App::instance_list, pid(), and studio::App::save_settings().

Referenced by studio::Instance::Instance(), and set_timeout().

bool AutoRecover::cleanup_pid | ( | int | pid | ) | `[static]`

Referenced by auto_backup().

void AutoRecover::set_timeout | ( | int | milliseconds | ) |

References auto_backup().

Referenced by AutoRecover().

int studio::AutoRecover::get_timeout | ( |  | ) | const`[inline]`

synfig::String AutoRecover::get_shadow_directory | ( |  | ) | `[static]`

References studio::App::get_user_app_directory().

Referenced by AutoRecover(), and get_shadow_file_name().

bool AutoRecover::recovery_needed | ( |  | ) | const

References studio::App::get_config_file().

Referenced by studio::App::App().

bool AutoRecover::recover | ( | int & | number_recovered | ) |

References studio::App::get_config_file(), get_shadow_file_name(), studio::App::instance_list, and studio::App::open_as().

Referenced by studio::App::App().

void AutoRecover::normal_shutdown | ( |  | ) |

References studio::App::get_config_file().

Referenced by studio::App::quit().

void AutoRecover::clear_backup | ( | synfig::Canvas::Handle | canvas | ) |

References get_shadow_file_name().

Referenced by studio::Instance::close().

The documentation for this class was generated from the following files:

- autorecover.h
- autorecover.cpp